v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/rndListsByRegion/regions/{regionId}
Checks whether a randomization design is blocked by region or not. Rights: RegionGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
regionId(required): string(uuid)
ID of the region
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object RegionRandListTO
Title:
RegionRandListTOContains region rand list detail.
Nested Schema : RegionRandListTO
Type:
objectTitle:
RegionRandListTOContains region rand list detail.
Show Source
-
name: string
Region name.Example:
Asia, Europe -
randListId: string
(uuid)
Unique ID for randomization list.
-
regionId: string
(uuid)
Unique ID for region.
404 Response
For invalid study ID or version. Or randomization list not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object